Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Проблемы с установкой и обновлением пакетов  (Прочитано 3297 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн angul

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
1. Система:
# uname -a
Linux wiki 3.2.0-38-generic #61-Ubuntu SMP Tue Feb 19 12:18:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

# cat /etc/issue
Ubuntu 12.04.2 LTS \n \l

2. При установке пакета cifs-utils получил сообщение об ошибке:

# apt-get install cifs-utils
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install»:
Пакеты, имеющие неудовлетворённые зависимости:
 cifs-utils : Зависит: samba-common но он не будет установлен
              Зависит: libtalloc2 (>= 2.0.4~git20101213) но он не будет установлен
              Зависит: libwbclient0 (>= 2:3.2.0) но он не будет установлен
              Рекомендует: keyutils но он не будет установлен
 linux-server : Зависит: linux-image-server (= 3.2.0.39.47) но 3.2.0.55.65 будет установлен
                Зависит: linux-headers-server (= 3.2.0.39.47) но 3.2.0.55.65 будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt-get -f install», не указывая имени пакета, (или найдите другое решение).

3. Хорошо, выполняю apt-get -f install
# apt-get install -f
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Будут установлены следующие дополнительные пакеты:
  linux-server
Пакеты, которые будут обновлены:
  linux-server
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 165 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
Необходимо скачать 0 B/1 732 B архивов.
После данной операции, объём занятого дискового пространства возрастёт на 1 024 B.
Хотите продолжить [Д/н]?
dpkg: зависимости пакетов не позволяют настроить пакет linux-server:
 linux-server зависит от linux-image-server (= 3.2.0.39.47), однако:
  Версия linux-image-server в системе 3.2.0.55.65.
 linux-server зависит от linux-headers-server (= 3.2.0.39.47), однако:
  Версия linux-headers-server в системе 3.2.0.55.65.
dpkg: не удалось обработать параметр linux-server (--configure):
 проблемы зависимостей -- оставляем не настроенным
Отчёты apport не записаны, так как сообщение об ошибке указывает на повторную ошибку от предыдущего отказа.
                                                                                                           При обработке следующих пакетов произошли ошибки:
 linux-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

4. Решил скачать linux-image-server_3.2.0.39.47
# wget https://launchpad.net/~canonical-kernel-team/+archive/ppa/+build/4332112/+files/linux-image-server_3.2.0.39.47_amd64.deb
Далее:
#chmod +x chmod +x linux-image-server_3.2.0.39.47_amd64.deb && dpkg -i linux-image-server_3.2.0.39.47_amd64.deb
Это не помогло.

5. Более того, когда хотел посмотреть список пакетов в системе по фильтру linux-image-* получил следующее:
# dpkg -l linux-image-*
Шаблону linux-image-server_3.2.0.39.47_amd64.deb не соответствует ни один пакет.

Подскажите как решить проблемы с пакетом linux-image-server?
« Последнее редактирование: 08 Ноябрь 2013, 07:01:40 от angul »

Оффлайн Peter_I

  • Старожил
  • *
  • Сообщений: 2112
    • Просмотр профиля
Попробуйте для начала сделать
apt-get update
apt-get -m dist-upgrade
А потом повторить попытку.
Пётр.

Оффлайн ShadowUser15

  • Активист
  • *
  • Сообщений: 718
    • Просмотр профиля
шапку поправьте "пактов" - это немного другого... из политики...
вероятное введение нестандартных десятичностей, внутри системы - заставляет задуматься о переходе на другой

Оффлайн angul

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
Peter_I,
Попробуйте для начала сделать
apt-get update
apt-get -m dist-upgrade
А потом повторить попытку.

Ситуация не изменилась:
# apt-get -m dist-upgrade
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install».
Пакеты, имеющие неудовлетворённые зависимости:
 linux-server : Зависит: linux-image-server (= 3.2.0.39.47) но 3.2.0.55.65 уже установлен
                Зависит: linux-headers-server (= 3.2.0.39.47) но 3.2.0.55.65 уже установлен
E: Неудовлетворённые зависимости. Попытайтесь использовать -f.

Оффлайн Peter_I

  • Старожил
  • *
  • Сообщений: 2112
    • Просмотр профиля
Тогда надо удалить пакеты, мешающие выполнению  "apt-get -f install"
или "apt-get -m dist-upgrade", linux-server т.е., и снова их ввести.
После этого можно попытаться установить cifs-utils.
Если будут сообщения, чнот нет каких-то пакетов, установить сначала их,
или же попробовать установить cifs-utils из synaptic.
Пётр.

Оффлайн angul

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
Тогда надо удалить пакеты, мешающие выполнению  "apt-get -f install"
или "apt-get -m dist-upgrade", linux-server т.е., и снова их ввести.
После этого можно попытаться установить cifs-utils.
Если будут сообщения, чнот нет каких-то пакетов, установить сначала их,
или же попробовать установить cifs-utils из synaptic.
Да, уже позже так и сделал: удалил linux-server, сделал update, установил необходимые мне утилиты, потом заново установил linux-server.

Peter_I, спасибо за помощь.

Оффлайн ShadowUser15

  • Активист
  • *
  • Сообщений: 718
    • Просмотр профиля
Re: Проблемы с установкой и обновлением пакетов
« Ответ #6 : 03 Сентябрь 2015, 23:08:12 »
я такое делал, в результате линукс минт самовыпилился (я попытался доверить выпиливание "лишних" "умной" утилите из мануала) ВЕСЬ!!!! остался груб и тест ОЗУ вставший на загрузу по умолчанию :)
вероятное введение нестандартных десятичностей, внутри системы - заставляет задуматься о переходе на другой

Оффлайн wajnon

  • Старожил
  • *
  • Сообщений: 2778
    • Просмотр профиля
Re: Проблемы с установкой и обновлением пакетов
« Ответ #7 : 03 Сентябрь 2015, 23:38:40 »
ShadowUser15,
прям таки весь? Может только ядрышко тю-тю

Оффлайн ShadowUser15

  • Активист
  • *
  • Сообщений: 718
    • Просмотр профиля
Re: Проблемы с установкой и обновлением пакетов
« Ответ #8 : 04 Сентябрь 2015, 00:21:51 »
не, пакетов много в списке было, но меня эта глючень (минт с закончившейся поддержкой) так достала за ДВА дня такого "обновления" что понажимал да - просто посмотреть, потом за час поставил заново.
Конечно говорить что ни одного пакета не осталось не буду, да и профиль пользователя уцелел.
« Последнее редактирование: 04 Сентябрь 2015, 00:24:45 от ShadowUser15 »
вероятное введение нестандартных десятичностей, внутри системы - заставляет задуматься о переходе на другой

 

Страница сгенерирована за 0.095 секунд. Запросов: 25.